org.jbpm.ruleflow.core.factory

## Class SubProcessNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.SubProcessNodeFactory

-     public class SubProcessNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubProcessNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode()`
    `protected SubProcessNode` | `getSubProcessNode()`
    `SubProcessNodeFactory` | `independent(boolean independent)`
    `SubProcessNodeFactory` | `inMapping(String parameterName, String variableName)`
    `SubProcessNodeFactory` | `name(String name)`
    `SubProcessNodeFactory` | `onEntryAction(String dialect, String action)`
    `SubProcessNodeFactory` | `onExitAction(String dialect, String action)`
    `SubProcessNodeFactory` | `outMapping(String parameterName, String variableName)`
    `SubProcessNodeFactory` | `processId(String processId)`
    `SubProcessNodeFactory` | `timer(String delay, String period, String dialect, String action)`
    `SubProcessNodeFactory` | `waitForCompletion(boolean waitForCompletion)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubProcessNodeFactory

          public SubProcessNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                       NodeContainer nodeContainer,
                                       long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getSubProcessNode

          protected SubProcessNode getSubProcessNode()

    - #### name

          public SubProcessNodeFactory name(String name)

    - #### processId

          public SubProcessNodeFactory processId(String processId)

    - #### waitForCompletion

          public SubProcessNodeFactory waitForCompletion(boolean waitForCompletion)

    - #### inMapping

          public SubProcessNodeFactory inMapping(String parameterName,
                                                 String variableName)

    - #### outMapping

          public SubProcessNodeFactory outMapping(String parameterName,
                                                  String variableName)

    - #### independent

          public SubProcessNodeFactory independent(boolean independent)

    - #### onEntryAction

          public SubProcessNodeFactory onEntryAction(String dialect,
                                                     String action)

    - #### onExitAction

          public SubProcessNodeFactory onExitAction(String dialect,
                                                    String action)

    - #### timer

          public SubProcessNodeFactory timer(String delay,
                                             String period,
                                             String dialect,
                                             String action)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.